#ifndef CASE_H
#define CASE_H

#include "Pion.h"

class Pion; // déclaration anticipée

class Case { // type abstrait
 private:
  Pion *lePion; // le pion placé sur la case
 public:
  virtual void effet()=0;
  void place(Pion *p);
  Pion *getPion();
  virtual void affiche()=0;
};

class CaseDepart : public Case {
 public:
  void effet();
  void affiche();
};

class CaseNormale : public Case {
 public:
  void effet();
  void affiche();
};

class CasePiege : public Case {
 public:
  void effet();
  void affiche();
};

#endif // CASE_H
